Skip to content

Get Quote Price Information

Endpoint

GET https://api.mycactus.dev/custody/v1/api/projects/{b_id}/integrated/trade/rfq/price
GET https://api.mycactus.com/custody/v1/api/projects/{b_id}/integrated/trade/rfq/price

Parameters

Path Parameters

FieldTypeDescription
b_id
Required
StringBusiness line ID

Query Parameters

FieldTypeDescription
trading_pair
Required
StringTrading pairs, for example, the quote currency in the BTCUSDT trading pair is USDT, and the base currency is BTC
quote_amount
Required
StringQuote currency amount
side
Required
StringTrade directions
Allowed values: BUY, SELL
base_amount
Optional
StringBase currency amount, if the quote currency amount is provided, this parameter can be ignored

Response

Response Body

FieldTypeDescription
codeIntegerResponse code (0 = success)
messageStringResponse message
successfulBooleanWhether the request was successful
dataObjectQuote price data (see data object details below).

data (object)

FieldTypeDescription
pairStringTrading pairs
price_idStringPrice ID (Parameters required to create market order)
qty_baseIntegerBase amount
qty_quoteIntegerQuote amount
priceIntegerPrice
expire_timeLongQuote price expired time (in milliseconds)
count_downIntegerQuote price validity time (in milliseconds)

Response Example

{
  "code": 0,
  "data": {
    "count_down": 0,
    "expire_time": 0,
    "pair": "string",
    "price_id": "string",
    "qty_base": "string",
    "qty_quote": "string",
    "price": "string"
  },
  "message": "string",
  "successful": true
}